## util-hurd 0.0.20170102

=== Makefile ===
# Makefile for memory based Hurd filesystems
# Copyright (C) 2000 Farid Hajji <farid.hajji@ob.kamp.net>
# $Id: Makefile,v 1.2 2013/02/10 10:34:00 sthibaul Exp $

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# $Log: Makefile,v $
# Revision 1.2  2013/02/10 10:34:00  sthibaul
# 2013-02-10  Samuel Thibault  <samuel.thibault@ens-lyon.org>
#
# 	Fix build against libpthread.
#
# 	* Makefile: Link against libpthread instead of libthreads.
# 	* README: Advise to lib against libbpthread instead of advising to
# 	link against libthreads.
# 	* debug.c: Include pthread.h instead of cthreads.h and rwlock.h. Use
# 	pthread_mutex instead of Mach mutex.
# 	* membfs: Likewise, use pthread_rwlock_t instead of Mach rwlock.
#
# Revision 1.1  2006/04/12 21:43:03  mmenal
# Initial commit of a memfs written by Farid Hajji (Manuel)
#
# Revision 1.1  2000/12/19 18:53:19  farid
# Initial revision
#

CC      = gcc
CFLAGS  = -D_GNU_SOURCE -Wall -g -D_FILE_OFFSET_BITS=64
#CFLAGS  = -Wall -O2
LDFLAGS = -lpthread -lports -ltrivfs -lfshelp
#HURDLIBS = -lpthread -lports -ltrivfs -lfshelp -lpipe -lihash -lshouldbeinlibc
SRC     = memfs.c debug.c
OBJ     = $(SRC:%.c=%.o)
TRANS   = memfs
TEST    = memfs-test

# Name of the test node
TNODE   = tnode

all: $(TRANS) $(TEST) start-trans

$(TRANS): $(OBJ)

$(TEST): $(TEST).c
	$(CC) $< -o $@

start-trans: $(TRANS)
	settrans -ac $(TNODE) ./$(TRANS) --debug 10 --write-back bak

stop-trans:
	settrans -fg $(TNODE)

clean: stop-trans
	rm -f $(TRANS) $(TEST) $(OBJ) $(TNODE) .out

=== docs/Makefile ===

all: tutorial.html

tutorial.html: tutorial.texi
	texi2html tutorial.texi

clean:
	rm -f tutorial.html

=== launcher/Makefile ===

include ../defs.mk

CFLAGS += -DNDEBUG

TARGET = run-lisp-trans

all: $(TARGET)

run-lisp-trans: run-lisp-trans.o

clean:
	rm -f $(TARGET) *.o

install: run-lisp-trans
	install -m 555 run-lisp-trans /usr/bin

=== libs/Makefile ===

include ../defs.mk

# fs stubs
FS_DEFS = $(HURD_DIRECTORY)/fs.defs
GENERATED_FS_SERVER = fs-server
FS_OBJECTS = $(GENERATED_FS_SERVER).o fs-wrapper.o

# io stubs
IO_DEFS = $(HURD_DIRECTORY)/io.defs
GENERATED_IO_SERVER = io-server
IO_OBJECTS = $(GENERATED_IO_SERVER).o io-wrapper.o

# fsys stubs
FSYS_DEFS = $(HURD_DIRECTORY)/fsys.defs
GENERATED_FSYS_SERVER = fsys-server
FSYS_OBJECTS = $(GENERATED_FSYS_SERVER).o fsys-wrapper.o

# notify stubs
NOTIFY_DEFS = $(MACH_DIRECTORY)/notify.defs
GENERATED_NOTIFY_SERVER = notify-server
NOTIFY_OBJECTS = $(GENERATED_NOTIFY_SERVER).o notify-wrapper.o

# fsys reply stubs

FSYS_REPLY_DEFS = $(HURD_DIRECTORY)/fsys_reply.defs
GENERATED_FSYS_REPLY_USER = fsys-reply-user
FSYS_REPLY_OBJECTS = $(GENERATED_FSYS_REPLY_USER).o

TARGETS = liblisptrans.so
OBJS = fetch-root.o file-exec.o \
			 file-utimes.o portset-demuxer.o \
			 $(IO_OBJECTS) $(FS_OBJECTS) \
			 $(FSYS_OBJECTS) $(NOTIFY_OBJECTS) \
			 $(FSYS_REPLY_OBJECTS)

LDFLAGS = -lfshelp

all: $(TARGETS)

liblisptrans.so: $(OBJS)
	$(CC) -shared \
		-o liblisptrans.so $(OBJS) $(LDFLAGS) -lfshelp

$(GENERATED_IO_SERVER).c: $(IO_DEFS)
	$(MIG_SERVER) $(GENERATED_IO_SERVER).c $(IO_DEFS)
	sed -e 's:lisp_S_io_server:lisp_io_server:g' \
		-i $(GENERATED_IO_SERVER).c
	sed -e 's:lisp_io_server_version:lisp_S_io_server_version:g' \
		-i $(GENERATED_IO_SERVER).c

io-wrapper.o: io-wrapper.c io-wrapper.h common.c

$(GENERATED_FS_SERVER).c: $(FS_DEFS)
	$(MIG_SERVER) $(GENERATED_FS_SERVER).c $(FS_DEFS)
	sed -e 's:lisp_S_fs_server:lisp_fs_server:g' -i $(GENERATED_FS_SERVER).c

fs-wrapper.o: fs-wrapper.c fs-wrapper.h common.c

$(GENERATED_FSYS_SERVER).c: $(FSYS_DEFS)
	cpp $(FSYS_DEFS) -D REPLY_PORTS > tmp.defs
	$(MIG_SERVER) $(GENERATED_FSYS_SERVER).c tmp.defs
	sed -e 's:lisp_S_fsys_server:lisp_fsys_server:g' \
		-i $(GENERATED_FSYS_SERVER).c
	rm -f tmp.defs

fsys-wrapper.o: fsys-wrapper.c fsys-wrapper.h common.c

$(GENERATED_NOTIFY_SERVER).c: $(NOTIFY_DEFS)
	$(MIG_SERVER) $(GENERATED_NOTIFY_SERVER).c $(NOTIFY_DEFS) -prefix lisp_

notify-wrapper.o: notify-wrapper.c notify-wrapper.h common.c

$(GENERATED_FSYS_REPLY_USER).c: $(FSYS_REPLY_DEFS)
	$(MIG_USER) $(GENERATED_FSYS_REPLY_USER).c $(FSYS_REPLY_DEFS)

clean:
	rm -f *.so *.o \
		$(GENERATED_IO_SERVER).c \
		$(GENERATED_FS_SERVER).c \
		$(GENERATED_FSYS_SERVER).c \
		$(GENERATED_NOTIFY_SERVER).c \
		$(GENERATED_FSYS_REPLY_USER).c

install: all
	cp $(TARGETS) /usr/lib

=== mutt/Makefile ===
# Makefile for libmutt
# Copyright (C) 2002 Ludovic Courts <ludo@chbouib.org>

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


CC      = gcc
AR      = ar
CTAGS   = ctags
CFLAGS  = -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 -Wall -g
LDFLAGS =
SRC     = muttlib.c lib.c mbox.c parse.c rfc822.c rfc2047.c rfc2231.c \
	  from.c date.c recvattach.c mx.c handler.c charset.c hash.c
OBJ     = $(SRC:%.c=%.o)
LIB     = libmutt.a
TEST    = test

all: $(LIB) $(TEST)

$(LIB): $(OBJ)
	$(AR) rcs $@ $^

$(TEST): $(TEST).o $(LIB)
	$(CC) -o $@ $< $(LDFLAGS) -L. -lmutt

tags: $(SRC)
	$(CTAGS) $(SRC)

clean:
	rm -f $(LIB) $(OBJ) $(TEST) $(TEST).o tags cscope.out

=== debian/changelog ===
util-hurd (0.0.20170102-4) unreleased; urgency=medium

  * control: Replace pkg-config deps with pkgconf.
  * patches/64b: Fix 64bit build.
  * patches/clisp-directory: Use multiarch variable.
  * patches/notice: Use multiarch variable.
  * patches/smbfs-nsl: Drop -lnsl.
  * patches/pptop-fix: Fix build.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 30 Dec 2024 22:31:23 +0000

util-hurd (0.0.20170102-3) unreleased; urgency=medium

  * control: Bump Standards-Version to 4.6.0 (no change)
  * control: Make Multi-Arch: foreign.
  * control: Drop cvsfs, gopherfs, httpfs, netio, sbmfs, tarfs old transition
    packages.
  * patches/fix: Fix build.
  * patches/no-settrans: Avoid starting translator on build.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 03 Oct 2023 19:59:09 +0000

util-hurd (0.0.20170102-2) unreleased; urgency=low

  * Use https URL
  * control: Set Vcs-* to salsa.debian.org
  * control: Drop Priority: extra.
  * control: Bump Standards-Version to 4.5.0.
  * control: Add missing pkg-config build-dep
  * Re-enable smbfs
  * debian/patch: build fixes
  * Bump debhelper compatibility to 12

 -- Samuel Thibault <sthibault@debian.org>  Mon, 03 Aug 2020 21:48:01 +0000

util-hurd (0.0.20170102-1) unreleased; urgency=low

  * Initial release. (Closes: #669647, #669648, #669653, #669654)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 13 Feb 2013 01:48:25 +0000

=== debian/control ===
Source: util-hurd
Section: utils
Priority: optional
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Uploaders: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper-compat (= 12),
	autoconf, automake, pkgconf,
	mig [hurd-any],
	gettext, texinfo,
	libncurses5-dev | libncurses-dev,
	zlib1g-dev, libxml2-dev, texi2html, libbz2-dev, libsmbclient-dev
Standards-Version: 4.6.0
Homepage: http://www.gnu.org/software/hurd/hurd/translator/
Vcs-Git: https://salsa.debian.org/hurd-team/util-hurd.git
Vcs-Browser: https://salsa.debian.org/hurd-team/util-hurd

Package: hurd-recommended
Architecture: hurd-any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: cvsfs (<< 0.0.20130212~), gopherfs (<< 0.0.20130212~), httpfs (<< 0.0.20130212~), smbfs (<< 0.0.20130212~), tarfs (<< 0.0.20130212~)
Breaks: cvsfs (<< 0.0.20130212~), gopherfs (<< 0.0.20130212~), httpfs (<< 0.0.20130212~), smbfs (<< 0.0.20130212~), tarfs (<< 0.0.20130212~)
Description: Miscellaneous translators
 clisp are Common Lisp bindings for Hurd translators
 .
 cvsfs is a translator allowing you to transparently access the content of
 a CVS repository.
 .
 filter is used in combination with nsmux to access a desired translator
 according to a user-provided name.
 .
 gopherfs is a translator allowing you to access Gopher sites.
 .
 httpfs is a translator allowing you to access http sites.
 .
 jfs is a read-only filesystem for JFS volumes.
 .
 mboxfs is a translator allowing you to access the content of an mbox.
 .
 memfs is a translator stored in memory.
 .
 socketio is a translator for creating socket ports through the filesystem.
 .
 notice executes commands on file change notification.
 .
 nsmux is a translator that mirrors the contents of the directory it is given
 and provides the possibility to apply namespace-based translator selection
 to its contents.
 .
 pith are Perl bindings for Hurd translators
 .
 pptop is a top-like tool, showing an interactive list of running processes.
 .
 run is a translator that emits the output produced by a given command.
 .
 smbfs is a translator allowing to access SMB network shares.
 .
 tarfs is a translator allowing you to transparently access the content of
 an archive.
 .
 xmlfs is a translator allowing you to traverse the content of an XML file.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_HOST_MULTIARCH

SUBDIRS_MAKE = clisp mboxfs memfs socketio notice run smbfs tarfs xmlfs
# gopherfs
SUBDIRS_AUTORECONF = cvsfs filter httpfs nsmux pptop
# jfs

SUBDIRS = $(SUBDIRS_MAKE) \
          $(SUBDIRS_AUTORECONF) \
	  pith

READMEs = $(wildcard */README)
READMEs_TOINSTALL = $(patsubst %/README,%-README,$(READMEs))

CFLAGS = -Wall -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

CONFIGURE_FLAGS = --prefix=/usr --mandir=\$${prefix}/share/man \
	--infodir=\$${prefix}/share/info CFLAGS="$(CFLAGS)"

STAMPS = $(addprefix build-make-,$(SUBDIRS_MAKE)) \
         $(addprefix build-autoreconf-,$(SUBDIRS_AUTORECONF)) \
	 build-pith

build: build-indep build-arch
build-indep:
build-arch: build-stamp

build-stamp: $(STAMPS) $(READMEs_TOINSTALL)
	> $@

build-make-%:
	cd $* && $(MAKE)
	> $@

pptop/config.rpath:
	cp /usr/share/gettext/config.rpath pptop/

build-autoreconf-pptop: pptop/config.rpath
build-autoreconf-%:
	cd $* && autoreconf -i && ./configure $(CONFIGURE_FLAGS) && $(MAKE)
	> $@

build-pith:
	cd pith && perl Makefile.PL && make
	# TODO: install

%-README: %/README
	ln -f $< $@

clean:
	dh_testdir
	rm -f pptop/config.rpath
	rm -f $(STAMPS) $(READMEs_TOINSTALL)
	for i in $(SUBDIRS) ; \
	do \
		( cd $$i ; make distclean || make clean || true ) ; \
	done
	-rm -f */INSTALL
	-rm -f */Makefile.in
	-rm -f */aclocal.m4
	-rm -f */config.h.in
	-rm -f */configure
	-rm -f */depcomp
	-rm -f */install-sh
	-rm -f */mdate-sh
	-rm -f */missing
	-rm -f */stamp-vti
	-rm -f */texinfo.tex
	-rm -f */version.texi
	-rm -f */compile
	-rm -fr */build-aux
	-rm -f cvsfs/cvsfs.info
	-rm -f memfs/bak memfs/core
	-rm -f pptop/po/*.gmo
	-rm -f socketio/socketio
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs

binary: binary-indep binary-arch
binary-indep:
binary-arch: build install
	dh_testdir
	dh_testroot

	dh_installdocs
	dh_install
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build build-indep build-arch install binary binary-indep binary-arch
